%define module	ExtUtils-XSBuilder
%define version	0.23
%define release	3mdk

Summary:	ExtUtils::XSBuilder - Automatic XS glue code generation
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Buildrequires:	perl-Parse-RecDescent
BuildRequires:	perl-Tie-IxHash
BuildArch:	noarch

%description
ExtUtils::XSBuilder is a set modules to parse C header files and create XS
glue code and documentation out of it. Idealy this allows to "write" an
interface to a C library without coding a line. Since no C-API is ideal,
some adjuments are necessary most of the time. So to use this module you
must still be familiar with C and XS programming, but it removes a lot of
stupid work and copy&paste from you. Also when the C API changes, most
of the time you only have to rerun XSBuilder to get your new Perl API.
 
%prep
%setup -q -n %{module}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%makeinstall_std

%__os_install_post
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{module}-%{version}-filelist


%files
%defattr(-,root,root)
%doc MANIFEST README
%{_mandir}/*/*
%{perl_vendorlib}/ExtUtils/*


%changelog
* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.23-3mdk
- fix typo in description

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.23-2mdk
- rebuild
- use %%makeinstall_std macro
- dropped $RPM_OPT_FLAGS, noarch..
- correct spec file name

* Sat Mar  8 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.23-1mdk
- initial contribs release
